package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Spt;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * @program: isc-core
 * @ClassName: Crtmod
 * @description: 清算crtmod
 * @author: huangshunlin
 * @create: 2024-10-17 18:24
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Crtmod extends AbstractCommonVo {
    //Parameter Stream
    private IStream parstm = new StreamImpl();
    //Inr of SMH
    private String smhinr = NULLSTR;

    private Crdgrp crdgrp;

//    private Sysobj crdobj;

//    private Crdlod crdlod;

    private Spt crtspt;

    //    private Crtdoc crtdoc;
    @Override
    public void reset() {
        if (crdgrp == null) {
            crdgrp = new Crdgrp();
        }
        crdgrp.reset();

        if (crtspt == null) {
            crtspt = new Spt();
        }
    }
}
